### Method

# GLib PathBuf init_from_path

since: 2.76

#### Declaration

    GPathBuf*
    g_path_buf_init_from_path (
      GPathBuf* buf,
      const char* path
    )

#### Description

Initializes a `GPathBuf` instance with the given path.

Available since: 2.76

#### Parameters

`path`

  Type: `const char*`

  A file system path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GPathBuf`

The initialized path builder.

The data is owned by the instance.